**** Formats Cross EFH-SBIF data****
capture program drop _all
clear
clear matrix
clear mata
set maxvar 9955
adopath + "D:\Docs2\Stata_data\ado_personal\stata_txt_codes\"   
set more off  
global path0 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\"
global path_s1 "$path0\Proyectos\2016_Cruce_EFH_SBIF_quality\data_results\" 
global path_s2 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\201305_Cruce EFH_SBIF\" 
global path_s3 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\simulation_time\"
global path_bs_do "$path0\Proyectos\2016_Cruce_EFH_SBIF_quality\"
global path_bs_do2 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk"
global path_p "D:\Docs2\EFH_CDI\EFH_SBIF_Quality\"
global Ratio_op = 1  // 1 - Use Tornqvist, Vartia and Vartia (1985) change measure relative to mean of both variables (x1+x2)/2 
// to contain the ratio between -200%, +200% and include cases in which one variable is 0. 
// Measure is widely used in labor economics (Davis, Faberman and Haltiwanger, 2006)
global factor17 "factor_egm"
global factor14 "factor_egm"
global factor11 "factor_cvars1112"
global data_save "efhsbif"
global yk = "11_14_17"  //global data_op = 0  // 0 include just last EFH-SBIF data, 1 merge with previous data
global factor_op "factor_egm"  

do "$path_bs_do\analysis_tables_2011_14_17.do"
