set more off  // Collapse all loans by their type
use "$path_s2\c_Dad_HFsurvey2.dta", clear
drop if c_nor==0 
drop if c_nor==.
bysort folio_efh year_EFH f_reg t_deu: egen nr=count( c_nor)
tab t_deu  //bysort t_deu: sum nr //bysort t_deu: sum nr, d // No Borrowers with 4 or more debts of the same type at time of the survey!
keep if f_reg>=201104 & f_reg<=201208 //year_EFH==2011 & 
keep if folio_2011<.
bysort folio_2011: drop if _n>=2
keep folio_*
save "$path_s2\efh_sbif_ruts2011_sbifD1.dta", replace

set more off  // Collapse all loans by their type
use "$path_s2\c_Dad_HFsurvey2.dta", clear
drop if c_nor==0 
drop if c_nor==.
bysort folio_efh year_EFH f_reg t_deu: egen nr=count( c_nor)
tab t_deu  //bysort t_deu: sum nr //bysort t_deu: sum nr, d // No Borrowers with 4 or more debts of the same type at time of the survey!
keep if f_reg>=201404 & f_reg<=201506 
keep if folio_2014<.
bysort folio_2014: drop if _n>=2
keep folio_*
save "$path_s2\efh_sbif_ruts2014_sbifD1.dta", replace

set more off  // Collapse all loans by their type
use "$path_s2\c_Dad_HFsurvey2.dta", clear
drop if c_nor==0 
drop if c_nor==.
bysort folio_efh year_EFH f_reg t_deu: egen nr=count( c_nor)
tab t_deu  //bysort t_deu: sum nr //bysort t_deu: sum nr, d // No Borrowers with 4 or more debts of the same type at time of the survey!
keep if f_reg>=201703 & f_reg<=201803 
keep if folio_2017<.
bysort folio_2017: drop if _n>=2
keep folio_*
save "$path_s2\efh_sbif_ruts2017_sbifD1.dta", replace
