**** Formats Cross EFH-SBIF data****
capture program drop _all
clear
clear matrix
clear mata
set maxvar 9955
adopath + "D:\Docs2\Stata_data\ado_personal\stata_txt_codes\"   
set more off  
global path0 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\"
global path_s1 "$path0\Proyectos\2016_Cruce_EFH_SBIF_quality\data_results\" 
global path_s2 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\201305_Cruce EFH_SBIF\Cruce 20160609\bases\bases_stata13\" //"$path0\201305_Cruce EFH_SBIF\Bases\"
global path_s3 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\simulation_time\"
global path_bs_do "$path0\Proyectos\2016_Cruce_EFH_SBIF_quality\" 
global path_p "D:\Docs2\EFH_CDI\EFH_SBIF_Quality\"
global Ratio_op = 1  // 1 - Use Tornqvist, Vartia and Vartia (1985) change measure relative to mean of both variables (x1+x2)/2 
// to contain the ratio between -200%, +200% and include cases in which one variable is 0. 
// Measure is widely used in labor economics (Davis, Faberman and Haltiwanger, 2006)
global factor14 "factor_egm"
global factor11 "factor_cvars1112"
global factor10 "factor_cvars11112_vs3"
global factor09 "factor_cvars1112"
global factor08 "factor_ec_vars1112"
global factor07 "expr0531m"
global path2b "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\household_risk\empleo\bases"
global path_bs_do2 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk"
run "$path_bs_do2\layoff_jobfind0.do" 
run "$path_bs_do2\income_shock0_vs0"
run "$path_bs_do2\\household_risk\empleo\linear_reg_impute3.do"
global data_save "efhsbif"
global yk = 11  //global data_op = 0  // 0 include just last EFH-SBIF data, 1 merge with previous data
global risk_vintage_op = 0  // 0 Uses previously calculated Labor Stats measures, 1 Reruns labor stat measures  
global factor_op "factor_cvars1112" 
global format_data = 0 // 0 - Just make analyzis (data already formatted), 1 - Format data again

*do "$path_bs_do\format_efhsbif_final.do" //Some credits appear in different orders of the same value, this mixes them in one //Run only once
if ${format_data}==1 {
do "$path_bs_do\format_2011.do" //Run only once (takes long time)
do "$path_bs_do\format_efhsbif.do" //Joins both datasets, It includes the format of default measures (do "$path_bs_do\format_DF_20${yk}.do")
do "$path_bs_do\analysis_debtors_EFH_nosbif_allpers" //do "$path_bs_do\analysis_debtors_EFH2011_nosbif_allpers" 
do "$path_bs_do\format2.do" //do "$path_bs_do\format2_2011.do"

do "$path_bs_do\analysis_efh_sbif_errors_hipotecario.do" //do "$path_bs_do\analysis_efh_sbif_errors_hipotecario11.do"
do "$path_bs_do\analysis_efh_sbif_errors_consumo.do"   //do "$path_bs_do\analysis_efh_sbif_errors_consumo11.do"  //do "$path_bs_do\analysis_sbifDebts.do"  //do "$path_bs_do\analysis_efhDebts.do"
do "$path_bs_do\analysis_efh_sbif_errors_cuotas.do"
do "$path_bs_do\analysis_efh_sbif_errors_default.do"
do "$path_bs_do\analysis_efh_sbif_outliers.do"
do "$path_bs_do\analysis_efh_sbif_roundingSBIF.do" //do "$path_bs_do\analysis_efh_sbif_roundingEFH.do"
}
do "$path_bs_do\analysis_tables.do"
