// Default variables
g debt_total = min(mo_deu,(c_inc+c_nor))  //mo_deu is suspiciously high for some consumer credits
bysort folio t_deu: egen debt_max = max(debt_total)
replace debt_total = min(debt_max, max(mo_deu,(c_inc+c_nor))) if debt_total<=1
g factor_debt = ceil(debt_total/100000)
sum factor_debt, d
replace factor_debt = min(r(p99),factor_debt) if factor_debt>0

g def_cv = min(debt_total,c_inc)/debt_total  //Cartera en incumplimiento
g def_ex = min(debt_total,(pc_inc+pc_nor))/debt_total //Expenses or Provisiones with default
g def_ex2 = min(debt_total,mc_atr)/debt_total 
replace def_ex = min(1, def_ex) if def_ex<.
replace def_ex2 = min(1, def_ex2) if def_ex2<.
g def_ex3 = max(def_ex,def_ex2) 
g def_ex4 = min(def_ex,def_ex2)

g default_sbif = (c_inc>0) if c_inc>0 | c_nor>0 
replace default_sbif = 1 if cc_atr>0 & cc_atr<.
replace default_sbif = 1 if mc_atr>0 & mc_atr<.
g default_inc = 1 if c_inc>0 & c_inc<.
replace default_inc = 0 if default_inc==. & default_sbif<.
g default_cc = 1 if cc_atr>0 & cc_atr<.
replace default_cc = 0 if default_cc==. & default_sbif<.
g default_mca = 1 if mc_atr>0 & mc_atr<.
replace default_mca = 0 if default_mca==. & default_sbif<.
g default_sbif2 = (c_inc>0 & cc_atr>0) if c_inc>0 | c_nor>0
g default_30 = (def_cv>0 & def_ex3>0 & cc_atr>0) if debt_to>0 //& def_ex>0 & def_ex2>0 //replace default_30 = 1 if def_ex3>0 & cc_atr>0 & debt_to>0 
replace default_30 = 1 if c_inc>0 & c_inc<.
replace default_30 = 0 if c_inc==0 & c_nor>0 
replace default_30 = 1 if def_ex4>0 & cc_atr>0 & debt_to>0 
replace default_30 = 1 if def_cv>0 & cc_atr>0 & debt_to>0 
replace default_30 = 1 if def_ex3>0 & cc_atr>0 & debt_to>0 //cc_atr2
g default_90 = (default_30>0 & cc_atr>=3) //if debt_to>0  //cc_atr2

drop def_ex4 def_ex def_ex2 debt_max 
rename def_ex3 def_ex
replace def_cv=0 if default_30==0
replace def_ex=0 if default_30==0
g def_cv90 = def_cv
replace def_cv90 = 0 if default_90==0 
g def_ex90 = def_ex
replace def_ex90 = 0 if default_90==0 
sum def* if cc_atr>0 //sum def* if cc_atr2>0
tab default_sbif
tab default_30
tab default_90
tab default_sbif default_sbif2
tab default_sbif default_30  // Variables become the same if     replace default_30 = 1 if cc_atr>0 & cc_atr<.
tab default_sbif default_90  // Note that tab cc_atr if pc_nor==0 | pc_inc==0 gives a lot of numbers
drop default_sbif2
