global path_s1 "$path0\Proyectos\2019_EFH_SBIF\data_EFH\" 
global path_s2 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\201305_Cruce EFH_SBIF\" 
global path_s0 "$path0\Proyectos\2019_EFH_SBIF\other_data\" 
global data_save0 "hist_dynamic_un07_17_dtbc_a1"
global yk = "all"

local time2011 "keep if f_reg>=201104 & f_reg<=201208"
local time2014 "keep if f_reg>=201404 & f_reg<=201506"
local time2017 "keep if f_reg>=201703 & f_reg<=201803"
foreach k of numlist 2011 2014 2017 { 
use "$path_s2\c_Dad_HFsurvey4tc_`k'.dta", clear
drop if t_deu>=6
drop if t_deu==3
drop if c_nor==0
drop if c_nor==.
`time`k'' 
collapse folio_2, by(folio_efh year_EFH)
joinby folio_efh year_EFH using "$path_s1\\${data_save0}_${yk}.dta", unmatched(master) update
tab _merge
drop _merge
g deuda_cbanco = 1 if d_td1>0 & d_td1<.
replace deuda_cbanco = 1 if d_td2>0 & d_td2<.
replace deuda_cbanco = 1 if d_td5>0 & d_td5<.
keep if deuda_cbanco==1
tab a1
keep folio_efh year_EFH
save "$path_s0\sbifD1efhD1_consumerdebt.dta", replace
use "$path_s2\c_Dad_HFsurvey4tc_`k'.dta", clear
drop if t_deu>=6
drop if t_deu==3
drop if c_nor==0
drop if c_nor==.
`time`k'' 
collapse folio_2, by(folio_efh year_EFH)
joinby folio_efh year_EFH using "$path_s1\\${data_save0}_${yk}.dta", unmatched(master) update
tab _merge
drop _merge
egen d_vp_max=rowmax(d_vp c_vp) //very few missing observation
keep if d_vp_max>0 & d_vp_max<.
tab a1
keep folio_efh year_EFH
save "$path_s0\sbifD1efhD1_mortgage.dta", replace
joinby folio_efh year_EFH using "$path_s0\sbifD1efhD1_consumerdebt.dta", unmatched(both) update
tab _merge
drop _merge
save "$path_s0\sbifD1efhD1_`k'.dta", replace
}
// 

