**** Formats Cross EFH-SBIF data****
capture program drop _all
clear
clear matrix
clear mata
set maxvar 9955
adopath + "D:\Docs2\Stata_data\ado_personal\stata_txt_codes\"   
set more off  
global path0 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\"
global path_s1 "$path0\Proyectos\2016_Cruce_EFH_SBIF_quality\data_results\" 
global path_s2 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\201305_Cruce EFH_SBIF\" 
global path_s3 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\simulation_time\"
global path_bs_do "$path0\Proyectos\2016_Cruce_EFH_SBIF_quality\" 
global path_p "D:\Docs2\EFH_CDI\EFH_SBIF_Quality\"
global Ratio_op = 1  // 1 - Use Tornqvist, Vartia and Vartia (1985) change measure relative to mean of both variables (x1+x2)/2 
// to contain the ratio between -200%, +200% and include cases in which one variable is 0. 
// Measure is widely used in labor economics (Davis, Faberman and Haltiwanger, 2006)
global factor17 "factor_egm"
global factor14 "factor_egm"
global factor11 "factor_cvars1112"
global factor10 "factor_cvars11112_vs3"
global factor09 "factor_cvars1112"
global factor08 "factor_ec_vars1112"
global factor07 "expr0531m"
global path_bs_do2 "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk"
run "$path_bs_do2\\household_risk\empleo\linear_reg_impute3.do" 
global data_save "efhsbif"
global yk = 17  //global data_op = 0  // 0 include just last EFH-SBIF data, 1 merge with previous data
global risk_vintage_op = 0 // 0 Uses previously calculated Labor Stats measures, 1 Reruns labor stat measures  
global factor_op "factor_egm"  
global format_data = 1 // 0 - Just make analyzis (data already formatted), 1 - Format data again

do "$path_bs_do\format_efhsbif_final2.do" //Some credits appear in different orders of the same value, this mixes them in one //Run only once
if ${format_data}==1 {  // This code is the same whether one uses EFH 2011, 2014, 2017 or previous waves
do "$path_bs_do\format_2017.do" //Run only once (takes long time)
do "$path_bs_do\format_efhsbif_new.do" //Joins both datasets
do "$path_bs_do\analysis_debtors_EFH_nosbif_allpers.do" 
do "$path_bs_do\format2.do" 
do "$path_bs_do\analysis_efh_sbif_errors_hipotecario.do" 
do "$path_bs_do\analysis_efh_sbif_errors_consumo.do"   
do "$path_bs_do\analysis_efh_sbif_errors_cuotas.do"
do "$path_bs_do\analysis_efh_sbif_errors_default.do"
do "$path_bs_do\analysis_efh_sbif_outliers.do"
do "$path_bs_do\analysis_efh_sbif_roundingSBIF.do" //do "$path_bs_do\analysis_efh_sbif_roundingEFH.do"
}
do "$path_bs_do\analysis_tables.do"
