local debt_types "banco prestamo TL tarjeta linea"
local debt_types2 "hipotecario banco prestamo TL tarjeta linea"
local debt_types0 "hipotecario prestamo"
local outvars "O_mo_deuPopC O_dH O_modeu"  //"O_mo_deuPop O_mo_deuPopC O_dH O_modeu O_cnor"
local error_types0 "ratio0" //ratio0_cuota
local error_types00 "ratio0_cuota" //ratio0_cuota
local error_types "ratio ratio0 ratio_cuota ratio0_cuota"
local madurez_types00 "error_madurez_hipotecario madurez_hipotecario_SBIF madurez_hipotecario_EFH error_madurez_hipotecario_res madurez_hipotecario_res_SBIF madurez_hipotecario_res_EFH"
local madurez_types0 "error_madurez madurez_prestamo_SBIF madurez_prestamo_EFH error_madurez_res madurez_prestamo_res_SBIF madurez_prestamo_res_EFH"
local madurez_types "madurez_hipotecario madurez_hipotecario_res madurez madurez_res"
local madurez_ratios "ratio_mad_hipotecario ratio0_mad_hipotecario ratio_madurez ratio0_madurez"
local madurez_ratios0 "ratio0_mad_hipotecario ratio0_mres_hipotecario ratio0_madurez ratio0_mres"
capture log close

use "$path_s1\EFH_SBIF_wide_11.dta", clear
capture g anoe=year_survey 
rename factor_cvars1112 factor_egm
keep factor_egm Fol* yearEFH ord *zona*  s_region comuna estrato* *surve* anoe tr_edad* tedad s /// cf* 
deuda* error* cuo* O_* a1_* D_* mad* C* M* nr_y* hipo* No* ytot* c_vp yefec num* rci* ing edad* ///
tm ord a1 a2 nive_edu* sexo lfp* sector_ind actividad tedad factor* zona2 s ocup desem est* ///
educ *_sect jobfind* d_dna quintile* class_com2 yai yaotp yact *_sect ytot_p_h* d_dt df* p_* ///
d_td* d_dna d_dt d_o* tedu vivprop cf_dna cf_dt cf_td* cbco ///
dcbco dtbco cfdtbco cfdtcc cfdcbco meses* // EDF* DF* 
capture drop cuota_deu* p_cre*
capture drop madurez_res*_6*
save "$path_s1\EFH_SBIF_wide_11_14_17.dta", replace
use "$path_s1\EFH_SBIF_wide_14.dta", clear
capture g lfp=pea
capture g class_com2=comuna
keep fac* Fol* yearEFH ord *zona*  s_region comuna estrato* *surve* anoe tr_edad* tedad s ///  cf* EDF* 
deuda* error* cuo* O_* a1_* D_* mad* C* M* nr_y* hipo* No* ytot* c_vp yefec num* rci* ing edad* ///
tm ord a1 a2 nive_edu* sexo lfp* sector_ind actividad tedad factor* zona2 s ocup desem est* ///
educ *_sect jobfind* d_dna quintile* class_com2 yai yaotp yact *_sect ytot_p_h* d_dt df* p_* ///
d_td* d_dna d_dt d_o* tedu vivprop cf_dna cf_dt cf_td* cbco ///  
dcbco dtbco cfdtbco cfdtcc cfdcbco meses* //DF* 
capture drop cuota_deu* p_cre*
capture drop madurez_res*_6*
joinby FolioNuevo yearEFH using "$path_s1\EFH_SBIF_wide_11_14_17.dta", unmatched(both) update
tab _merge
drop _merge
save "$path_s1\EFH_SBIF_wide_11_14_17.dta", replace
use "$path_s1\EFH_SBIF_wide_17.dta", clear
capture g lfp=pea
capture g class_com2=comuna
keep fac* Fol* yearEFH ord *zona* estrato* class_com2 *surve* anoe tr_edad* tedad s /// s_region comuna tm 
deuda* error* cuo* O_* a1_* D_* mad* C* M* nr_y* hipo* No* ytot* c_vp yefec num* rci* ing edad* ///  d_o* cf*
ord a1 a2 nive_edu* sexo lfp* sector_ind actividad tedad factor* zona2 s ocup desem est* ///
educ *_sect jobfind* d_dna quintile* yai yaotp yact *_sect ytot_p_h* d_dt df* p_* ///
d_td* d_dna d_dt tedu vivprop cf_dna cf_dt cf_td* cbco ///  
dcbco dtbco cfdtbco cfdtcc cfdcbco meses* // EDF* DF* 
capture drop cuota_deu* p_cre*
joinby FolioNuevo yearEFH using "$path_s1\EFH_SBIF_wide_11_14_17.dta", unmatched(both) update
tab _merge
drop _merge
capture drop madurez_res*_6*
save "$path_s1\EFH_SBIF_wide_11_14_17.dta", replace
tab yearEFH

//     1.0 - Log files of descriptive errors        //
log using "$path_p\graphs\\error_tenencias_${yk}.log", replace  // 1.1 Tenencias
foreach x of local debt_types2 {
tab deuda_`x'_EFH deuda_`x'_SBIF [fw=${factor_op}], cell nofreq           
tab error_`x'_tenencia [fw=${factor_op}] //sum error_`x'_tenencia [fw=${factor_op}]
}
log close
log using "$path_p\graphs\\correlaciones_efhsbif${yk}.log", replace  // 1.1 Tenencias
foreach x of local debt_types2 {
pwcorr deuda_m_`x'_SBIF deuda_m_`x'_EFH if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. [fw=${factor_op}]
pwcorr D_`x'_SBIFround deuda_m_`x'_EFH if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. [fw=${factor_op}]
}
foreach x of local debt_types0 { 
pwcorr cuota_`x'_SBIF cuota_`x'_EFH if cuota_`x'_SBIF>0 & cuota_`x'_EFH>0 & cuota_`x'_SBIF<. & cuota_`x'_EFH<.  [fw=${factor_op}]
pwcorr madurez_`x'_SBIF madurez_`x'_EFH if madurez_`x'_SBIF>0 & madurez_`x'_EFH>0 & madurez_`x'_SBIF<. & madurez_`x'_EFH<.  [fw=${factor_op}]
pwcorr madurez_`x'_res_SBIF madurez_`x'_res_EFH if madurez_`x'_res_SBIF>0 & madurez_`x'_res_EFH>0 & madurez_`x'_res_SBIF<. & madurez_`x'_res_EFH<. [fw=${factor_op}]
pwcorr C_`x'_SBIFround cuota_`x'_EFH if cuota_`x'_SBIF>0 & cuota_`x'_EFH>0 & cuota_`x'_SBIF<. & cuota_`x'_EFH<. [fw=${factor_op}]
pwcorr M_`x'_SBIFround madurez_`x'_EFH if madurez_`x'_SBIF>0 & madurez_`x'_EFH>0 & madurez_`x'_SBIF<. & madurez_`x'_EFH<. [fw=${factor_op}]
pwcorr M_`x'_SBIFround madurez_`x'_res_EFH if madurez_`x'_res_SBIF>0 & madurez_`x'_res_EFH>0 & madurez_`x'_res_SBIF<. & madurez_`x'_res_EFH<. [fw=${factor_op}]
}
// No Outliers
foreach x of local debt_types0 { 
pwcorr deuda_m_`x'_SBIF deuda_m_`x'_EFH if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. & O_`x'==0 [fw=${factor_op}]
pwcorr cuota_`x'_SBIF cuota_`x'_EFH if cuota_`x'_SBIF>0 & cuota_`x'_EFH>0 & cuota_`x'_SBIF<. & cuota_`x'_EFH<. & O_`x'==0 [fw=${factor_op}]
pwcorr madurez_`x'_SBIF madurez_`x'_EFH if madurez_`x'_SBIF>0 & madurez_`x'_EFH>0 & madurez_`x'_SBIF<. & madurez_`x'_EFH<. & O_`x'==0 [fw=${factor_op}]
pwcorr madurez_`x'_res_SBIF madurez_`x'_res_EFH if madurez_`x'_res_SBIF>0 & madurez_`x'_res_EFH>0 & madurez_`x'_res_SBIF<. & madurez_`x'_res_EFH<. & O_`x'==0 [fw=${factor_op}]
}
log close
log using "$path_p\graphs\\error_tenenciasLoanHis_${yk}.log", replace  // 1.1 Tenencias
sum NoLoan_history
sum NoLoan_history [fw=${factor_op}]
tab hipotecario_EFH hipotecario_SBIF if NoLoan_history==0 [fw=${factor_op}], cell nofreq
foreach x of local debt_types2 {
tab deuda_`x'_EFH deuda_`x'_SBIF if NoLoan_history==0 [fw=${factor_op}], cell nofreq  
tab error_`x'_tenencia if NoLoan_history==0 [fw=${factor_op}]         
}
log close
log using "$path_p\graphs\\error_tenencias0_${yk}.log", replace  // 1.1 Tenencias
sum Fol* a1 ${factor_op} yearEFH hipotecario_EFH hipotecario_SBIF
foreach x of local debt_types2 {
tab deuda_`x'_EFH deuda_`x'_SBIF          
}
log close
log using "$path_p\graphs\\Outliers_tenencias${yk}.log", replace  
foreach x of local debt_types0 {  //debt_types2
display("`x'") 
sum O_*`x' if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. [fw=${factor_op}]  
sum O_*`x' if deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. [fw=${factor_op}] 
tab deuda_`x'_EFH deuda_`x'_SBIF if O_`x'==0 [fw=${factor_op}], cell nofreq  
tab deuda_`x'_EFH deuda_`x'_SBIF if O_`x'==1 [fw=${factor_op}], cell nofreq  
foreach ox of local outvars {
display("`x': `ox'_`x'")
tab deuda_`x'_EFH deuda_`x'_SBIF if `ox'_`x'==0 [fw=${factor_op}], cell nofreq  
tab deuda_`x'_EFH deuda_`x'_SBIF if `ox'_`x'==1 [fw=${factor_op}], cell nofreq  
}                                          
}     
log close

log using "$path_p\graphs\\error_montos_${yk}.log", replace   // 1.2 Montos 
foreach x of varlist error_*_monto {  // In thousands of pesos
replace `x'=`x'/1000
}
replace error_hipotecario_monto=error_hipotecario_monto/1000 // in millions of pesos
foreach x of local debt_types2 {
sum error_`x'_monto deuda_m_`x'_SBIF deuda_m_`x'_EFH  if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. [fw=${factor_op}]               
sum error_`x'_monto deuda_m_`x'_SBIF deuda_m_`x'_EFH  if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. [fw=${factor_op}], d 
sum error_ratio_`x' if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. [fw=${factor_op}], d                                             
}
log close //sum error_ratio_* [fw=${factor_op}], d  //sum error_ratio0_* [fw=${factor_op}], d

log using "$path_p\graphs\\error_madurez_${yk}.log", replace  // 1.3 Madurez 
sum error*madu* [fw=${factor_op}]    
foreach x of local madurez_types00 { 
sum `x' if hipotecario_EFH==1 & hipotecario_SBIF==1 & madurez_hipotecario_SBIF>0 ///
& madurez_hipotecario_SBIF<. & madurez_hipotecario_EFH>0 & madurez_hipotecario_EFH<. [fw=${factor_op}], d
}
foreach x of local madurez_types0 { 
sum `x' if deuda_prestamo_EFH==1 & deuda_prestamo_SBIF==1 & madurez_prestamo_SBIF>0 ///
& madurez_prestamo_SBIF<. & madurez_prestamo_EFH>0 & madurez_prestamo_EFH<. [fw=${factor_op}], d
}
log close

log using "$path_p\graphs\\error_tests_Hip${yk}.log", replace  // 1.4 Check descriptive analysis 
sum FolioNuevo a1* nr_y*
// 1.1 - Test for why there is not Mortgage for the SBIF of interviewed: interviewed is not highest income member (mortgage may be of another member)
tab a1_nothighest_income if hipotecario_EFH==1 & hipotecario_SBIF==1 [fw=${factor_op}]
tab a1_nothighest_income if hipotecario_EFH==1 & hipotecario_SBIF==0 [fw=${factor_op}]
// 1.2 - Test for why there is not Mortgage for the SBIF of interviewed: other high income members (mortgage may be of another member)
tab nr_y_max if hipotecario_EFH==1 & hipotecario_SBIF==1 [fw=${factor_op}]  // Other High income members must have highest income
tab nr_y_max if hipotecario_EFH==1 & hipotecario_SBIF==0 [fw=${factor_op}]  // Alternative variables: nr_y_HALFmax, nr_y_HALFmax_male, nr_y_max_male less clear 
sum nr_y_max if hipotecario_EFH==1 & hipotecario_SBIF==1 [fw=${factor_op}]
sum nr_y_max if hipotecario_EFH==1 & hipotecario_SBIF==0 [fw=${factor_op}]
// 1.3 - Test for why there is not Mortgage for the SBIF of interviewed: interviewed is a woman and has high income male in HH
tab a1_female_HHmaleinc if hipotecario_EFH==1 & hipotecario_SBIF==1 [fw=${factor_op}] 
tab a1_female_HHmaleinc if hipotecario_EFH==1 & hipotecario_SBIF==0 [fw=${factor_op}] 
// 2.0 - Test for why there is not Mortgage for the SBIF of interviewed: interviewed is not highest aged member (mortgage may be of another member)
tab a1_nothighest_age if hipotecario_EFH==1 & hipotecario_SBIF==1 [fw=${factor_op}]
tab a1_nothighest_age if hipotecario_EFH==1 & hipotecario_SBIF==0 [fw=${factor_op}]
// 3.0 - Test for why there is not Mortgage for the SBIF of interviewed: interviewed reports a Mortgage that was in fact a Consumer credit
tab deuda_prestamo_SBIF if hipotecario_EFH==1 & hipotecario_SBIF==1 [fw=${factor_op}]
tab deuda_prestamo_SBIF if hipotecario_EFH==1 & hipotecario_SBIF==0 [fw=${factor_op}]
g deuda_m_hipotecario_EFH_MMP = deuda_m_hipotecario_EFH/(1000*1000) // in Millions of Pesos
sum deuda_m_hipotecario_EFH_MMP if hipotecario_EFH==1 & hipotecario_SBIF==1 [fw=${factor_op}], d
sum deuda_m_hipotecario_EFH_MMP if hipotecario_EFH==1 & hipotecario_SBIF==0 [fw=${factor_op}], d
// 4.0 - Regression
g error_mortgageEFH_notSBIF = (hipotecario_EFH==1 & hipotecario_SBIF==0) if hipotecario_EFH==1
local vars_xreg = "a1_nothighest_income nr_y_max a1_nothighest_age" //a1_female_HHmaleinc
local vars_xreg2 = "a1_nothighest_income nr_y_max a1_nothighest_age"
logit error_mortgageEFH_notSBIF `vars_xreg' deuda_prestamo_SBIF
outreg2 using "$path_p\graphs\\logit_hip${yk}_ols.xls", replace
logit error_mortgageEFH_notSBIF `vars_xreg' deuda_prestamo_SBIF [pw=${factor_op}]
outreg2 using "$path_p\graphs\\logit_hip${yk}_ols.xls", append
logit error_mortgageEFH_notSBIF `vars_xreg'
outreg2 using "$path_p\graphs\\logit_hip${yk}_ols.xls", append
logit error_mortgageEFH_notSBIF `vars_xreg' [pw=${factor_op}]
outreg2 using "$path_p\graphs\\logit_hip${yk}_ols.xls", append
logit error_mortgageEFH_notSBIF `vars_xreg2'
outreg2 using "$path_p\graphs\\logit_hip${yk}_ols.xls", append
logit error_mortgageEFH_notSBIF `vars_xreg2' [pw=${factor_op}]
outreg2 using "$path_p\graphs\\logit_hip${yk}_ols.xls", append
log close
log using "$path_p\graphs\\error_tests_Pres${yk}.log", replace  // 1.4 Check descriptive analysis 
g prestamo_EFH=deuda_prestamo_EFH
g prestamo_SBIF=deuda_prestamo_SBIF
sum FolioNuevo a1* nr_y*
// 1.1 - Test for why there is not prestamo for the SBIF of interviewed: interviewed is not highest income member (prestamo may be of another member)
tab a1_nothighest_income if prestamo_EFH==1 & prestamo_SBIF==1 [fw=${factor_op}]
tab a1_nothighest_income if prestamo_EFH==1 & prestamo_SBIF==0 [fw=${factor_op}]
// 1.2 - Test for why there is not prestamo for the SBIF of interviewed: other high income members (prestamo may be of another member)
tab nr_y_max if prestamo_EFH==1 & prestamo_SBIF==1 [fw=${factor_op}]  // Other High income members must have highest income
tab nr_y_max if prestamo_EFH==1 & prestamo_SBIF==0 [fw=${factor_op}]  // Alternative variables: nr_y_HALFmax, nr_y_HALFmax_male, nr_y_max_male less clear 
sum nr_y_max if prestamo_EFH==1 & prestamo_SBIF==1 [fw=${factor_op}]
sum nr_y_max if prestamo_EFH==1 & prestamo_SBIF==0 [fw=${factor_op}]
// 1.3 - Test for why there is not prestamo for the SBIF of interviewed: interviewed is a woman and has high income male in HH
tab a1_female_HHmaleinc if prestamo_EFH==1 & prestamo_SBIF==1 [fw=${factor_op}] 
tab a1_female_HHmaleinc if prestamo_EFH==1 & prestamo_SBIF==0 [fw=${factor_op}] 
// 2.0 - Test for why there is not prestamo for the SBIF of interviewed: interviewed is not highest aged member (prestamo may be of another member)
tab a1_nothighest_age if prestamo_EFH==1 & prestamo_SBIF==1 [fw=${factor_op}]
tab a1_nothighest_age if prestamo_EFH==1 & prestamo_SBIF==0 [fw=${factor_op}]
// 3.0 - Test for why there is not prestamo for the SBIF of interviewed: interviewed reports a prestamo that was in fact a Consumer credit
tab deuda_prestamo_SBIF if prestamo_EFH==1 & prestamo_SBIF==1 [fw=${factor_op}]
tab deuda_prestamo_SBIF if prestamo_EFH==1 & prestamo_SBIF==0 [fw=${factor_op}]
g deuda_m_prestamo_EFH_MMP = deuda_m_prestamo_EFH/(1000*1000) // in Millions of Pesos
sum deuda_m_prestamo_EFH_MMP if prestamo_EFH==1 & prestamo_SBIF==1 [fw=${factor_op}], d
sum deuda_m_prestamo_EFH_MMP if prestamo_EFH==1 & prestamo_SBIF==0 [fw=${factor_op}], d
// 4.0 - Regression
g error_prestamoEFH_notSBIF = (prestamo_EFH==1 & prestamo_SBIF==0) if prestamo_EFH==1
local vars_xreg = "a1_nothighest_income nr_y_max a1_nothighest_age" //a1_female_HHmaleinc
local vars_xreg2 = "a1_nothighest_income nr_y_max a1_nothighest_age"
logit error_prestamoEFH_notSBIF `vars_xreg' hipotecario_SBIF
outreg2 using "$path_p\graphs\\logit_pres${yk}_ols.xls", replace
logit error_prestamoEFH_notSBIF `vars_xreg' hipotecario_SBIF [pw=${factor_op}]
outreg2 using "$path_p\graphs\\logit_pres${yk}_ols.xls", append
logit error_prestamoEFH_notSBIF `vars_xreg'
outreg2 using "$path_p\graphs\\logit_pres${yk}_ols.xls", append
logit error_prestamoEFH_notSBIF `vars_xreg' [pw=${factor_op}]
outreg2 using "$path_p\graphs\\logit_pres${yk}_ols.xls", append
logit error_prestamoEFH_notSBIF `vars_xreg2'
outreg2 using "$path_p\graphs\\logit_pres${yk}_ols.xls", append
logit error_prestamoEFH_notSBIF `vars_xreg2' [pw=${factor_op}]
outreg2 using "$path_p\graphs\\logit_pres${yk}_ols.xls", append
log close

//     2.0 - Graphics of errors in -200%, 200%       //
// Example of including absence of reports in one of the datasets
hist error_ratio0_hipotecario [fw=${factor_op}], percent saving(graph11, replace)
hist error_ratio0_hipotecario if error_ratio0_hipotecario>-2 & error_ratio0_hipotecario<2 [fw=${factor_op}], percent saving(graph12, replace)
graph combine graph11.gph graph12.gph, ysize(5.2) xsize(9.20) imargin(0 0 0 0) graphregion(color(white) margin(vsmall))
graph export "$path_p\graphs\Hmonto${yk}_hip_ratios.emf", replace
graph export "$path_p\graphs\Hmonto${yk}_hip_ratios.png", replace

foreach x of local debt_types2 { //error_`x'_monto error_`x'_cuota error_ratio_`x' error_ratio0_`x' error_ratio_cuota_`x' error_ratio0_cuota_`x' 
hist error_`x'_monto [fw=${factor_op}], percent  //hist kdensity
graph export "$path_p\graphs\hist${yk}_monto_`x'.emf", replace
graph export "$path_p\graphs\hist${yk}_monto_`x'.png", replace
foreach x2 of local error_types {
hist error_`x2'_`x' if error_`x2'_`x'>-2 & error_`x2'_`x'<2 [fw=${factor_op}], percent  //Note I exclude the non-reports of -200% and 200%
graph export "$path_p\graphs\hist${yk}_`x2'_`x'.emf", replace
graph export "$path_p\graphs\hist${yk}_`x2'_`x'.png", replace
}
}
foreach x of local madurez_types { 
hist error_`x' [fw=${factor_op}], percent
graph export "$path_p\graphs\hist${yk}_`x'.emf", replace
graph export "$path_p\graphs\hist${yk}_`x'.png", replace
}
foreach x of local madurez_ratios { 
hist error_`x' if error_`x'>-2 & error_`x'<2 [fw=${factor_op}], percent //Note I exclude the non-reports of -200% and 200%
graph export "$path_p\graphs\hist${yk}_`x'.emf", replace
graph export "$path_p\graphs\hist${yk}_`x'.png", replace
}
save "$path_s1\analysis${yk}.dta", replace  // Montos

//		3.0 - Summary file of percentiles of errors
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types2 { //g E_`x'_monto`pp' = error_`x'_monto if deuda_`x'_EFH==1 & deuda_`x'_SBIF==1
foreach x2 of local error_types0 {
g E_`x2'_`x'`pp' = 100*error_`x2'_`x' if error_`x2'_`x'>-2 & error_`x2'_`x'<2  //make them in %
}
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] //g constant = 1 //reshape long stub, i(constant) j(Percentile)
export excel using "$path_p\graphs\\Ratios${yk}_pstats.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Ratios${yk}_pstats_vs2.xls", firstrow(variables) nolabel replace

use "$path_s1\analysis${yk}.dta", clear  // Madurez
foreach pp of numlist 10 25 50 75 90 {
foreach x of local madurez_ratios0 { 
g E_`x'`pp' = 100*error_`x' if error_`x'>-2 & error_`x'<2 
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] 
export excel using "$path_p\graphs\\Ratios${yk}_madurez_pstats.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Ratios${yk}_madurez_pstats_vs2.xls", firstrow(variables) nolabel replace

use "$path_s1\analysis${yk}.dta", clear // Cuotas
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types2 { 
foreach x2 of local error_types00 {
g E_`x2'_`x'`pp' = 100*error_`x2'_`x' if error_`x2'_`x'>-2 & error_`x2'_`x'<2 
}
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] 
export excel using "$path_p\graphs\\Ratios${yk}_cuotas_pstats.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Ratios${yk}_cuotas_pstats_vs2.xls", firstrow(variables) nolabel replace

// 3.0 Hypothesis about mis-report (interviewed member is not the highest income or oldest member, 
//HH has low education, HH has high income and dislikes interview)
log using "$path_p\graphs\\error_tests_tenencias${yk}.log", replace   
use "$path_s1\analysis${yk}.dta", clear
// Test whether Credits can be of another HH member
foreach x of local debt_types {
display("`x'")
// 1.1 - Test for why there is not Credit for the SBIF of interviewed: interviewed is not highest income member (credit may be of another member)
tab a1_nothighest_income if deuda_`x'_EFH==1 & deuda_`x'_SBIF==1 [fw=${factor_op}]
tab a1_nothighest_income if deuda_`x'_EFH==1 & deuda_`x'_SBIF==0 [fw=${factor_op}]
// 1.2 - Test for why there is not Mortgage for the SBIF of interviewed: interviewed is not highest aged member (mortgage may be of another member)
tab a1_nothighest_age if deuda_`x'_EFH==1 & deuda_`x'_SBIF==1 [fw=${factor_op}]
tab a1_nothighest_age if deuda_`x'_EFH==1 & deuda_`x'_SBIF==0 [fw=${factor_op}]
}
log close
log using "$path_p\graphs\\error_tests_montos${yk}.log", replace   
use "$path_s1\analysis${yk}.dta", clear
// Test whether Credits can be of another HH member
local K=1
foreach x of local debt_types2 { //g E_`x'_monto`pp' = error_`x'_monto if deuda_`x'_EFH==1 & deuda_`x'_SBIF==1
display("`x'")
foreach x2 of local error_types0 {
g E_`x2'_`x' = 100*abs(error_`x2'_`x') if error_`x2'_`x'>-2 & error_`x2'_`x'<2  //make them in %
reg E_`x2'_`x' a1_nothighest_income nr_y_max a1_nothighest_age if deuda_`x'_EFH==1 & deuda_`x'_SBIF==1 [pw=${factor_op}]
if `K'==1 { 
outreg2 using "$path_p\graphs\\Regs_montos${yk}_ols.xls", replace
local K=1+`K'
}
else {
outreg2 using "$path_p\graphs\\Regs_montos${yk}_ols.xls", append
}
}
}
log close

// Compare default (use df_dna or df_dna_k (k=5)   Mortgage: df_vp or df_vp_original) with default_sbif or default_30
log using "$path_p\graphs\\error_default${yk}_dftypes${df_types0}.log", replace   
use "$path_s1\analysis${yk}.dta", clear
capture sum df_vp_1 df_hog_1 df_vp df_vp_new df_dna df_dna_new df_dna_k df_dna_a1 [fw=${factor_op}]  //default_sbif default_30
tab df_prestamo_EFH df_prestamo_SBIF [fw=${factor_op}], cell nofreq   // df_dna_k df_dna_a1  df_dna df_dna_new
tab df_hip_EFH df_hip_SBIF [fw=${factor_op}], cell nofreq  // df_vp df_vp_original
tab df2_prestamo_EFH df2_prestamo_SBIF [fw=${factor_op}], cell nofreq  
tab df2_hip_EFH df2_hip_SBIF [fw=${factor_op}], cell nofreq     
log close
clear


//		4.0 - Summary file of percentiles of errors for Outliers and No-Outliers
use "$path_s1\analysis${yk}.dta", clear  // Montos
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types0 { //g E_`x'_monto`pp' = error_`x'_monto if deuda_`x'_EFH==1 & deuda_`x'_SBIF==1
foreach x2 of local error_types0 {
g E_`x2'_`x'`pp' = 100*error_`x2'_`x' if error_`x2'_`x'>-2 & error_`x2'_`x'<2 & O_`x'==0 //make them in %
}
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] //g constant = 1 //reshape long stub, i(constant) j(Percentile)
export excel using "$path_p\graphs\\Ratios${yk}_pstats_NoOutliers.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Ratios${yk}_pstats_NoOutliers_vs2.xls", firstrow(variables) nolabel replace
use "$path_s1\analysis${yk}.dta", clear  // Madurez
foreach pp of numlist 10 25 50 75 90 {
g E_ratio0_mad_hipotecario`pp' = 100*error_ratio0_mad_hipotecario if error_ratio0_mad_hipotecario>-2 & error_ratio0_mad_hipotecario<2 & O_hipotecario==0
g E_ratio0_mres_hipotecario`pp' = 100*error_ratio0_mres_hipotecario if error_ratio0_mres_hipotecario>-2 & error_ratio0_mres_hipotecario<2 & O_hipotecario==0
g E_ratio0_madurez`pp' = 100*error_ratio0_madurez if error_ratio0_madurez>-2 & error_ratio0_madurez<2 & O_prestamo==0
g E_ratio0_mres`pp' = 100*error_ratio0_mres if error_ratio0_mres>-2 & error_ratio0_mres<2 & O_prestamo==0
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] 
export excel using "$path_p\graphs\\Ratios${yk}_madurez_pstats_NoOutliers.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Ratios${yk}_madurez_pstats_NoOutliers_vs2.xls", firstrow(variables) nolabel replace
use "$path_s1\analysis${yk}.dta", clear // Cuotas
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types0 { 
foreach x2 of local error_types00 {
g E_`x2'_`x'`pp' = 100*error_`x2'_`x' if error_`x2'_`x'>-2 & error_`x2'_`x'<2  & O_`x'==0 
}
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] 
export excel using "$path_p\graphs\\Ratios${yk}_cuotas_pstats_NoOutliers.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Ratios${yk}_cuotas_pstats_NoOutliers_vs2.xls", firstrow(variables) nolabel replace

// 5.0 Univariate percentiles of EFH and SBIF
use "$path_s1\analysis${yk}.dta", clear
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types2 { 
g ln_deuda_`x'_EFH`pp' =ln(deuda_m_`x'_EFH) if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. 
g ln_deuda_`x'_SBIF`pp' =ln(deuda_m_`x'_SBIF) if deuda_m_`x'_SBIF>0 & deuda_m_`x'_EFH>0 & deuda_m_`x'_SBIF<. & deuda_m_`x'_EFH<. 
}
foreach x of local debt_types0 { 
g ln_cuota_`x'_SBIF`pp' = ln(cuota_`x'_SBIF) if cuota_`x'_SBIF>0 & cuota_`x'_EFH>0 & cuota_`x'_SBIF<. & cuota_`x'_EFH<.
g ln_cuota_`x'_EFH`pp' = ln(cuota_`x'_EFH) if cuota_`x'_SBIF>0 & cuota_`x'_EFH>0 & cuota_`x'_SBIF<. & cuota_`x'_EFH<.
g madurez_`x'_SBIF`pp' = madurez_`x'_SBIF if madurez_`x'_SBIF>0 & madurez_`x'_EFH>0
g madurez_`x'_EFH`pp' = madurez_`x'_EFH if madurez_`x'_SBIF>0 & madurez_`x'_EFH>0
g madurez_`x'_res_SBIF`pp' = madurez_`x'_res_SBIF if madurez_`x'_res_SBIF>0 & madurez_`x'_res_EFH>0
g madurez_`x'_res_EFH`pp' = madurez_`x'_res_EFH if madurez_`x'_res_SBIF>0 & madurez_`x'_res_EFH>0
}
}
save "$path_s1\analysis${yk}.dta", replace
collapse (p25) *EFH25 (p50) *EFH50 (p75) *EFH75 [fw=${factor_op}]  //collapse (p10) *EFH10 (p25) *EFH25 (p50) *EFH50 (p75) *EFH75 (p90) *EFH90 [fw=${factor_op}]
export excel using "$path_p\graphs\\Univariate${yk}_pstatsEFH.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Univariate${yk}_pstatsEFH_vs2.xls", firstrow(variables) nolabel replace
use "$path_s1\analysis${yk}.dta", clear
collapse (p25) *SBIF25 (p50) *SBIF50 (p75) *SBIF75 [fw=${factor_op}] //collapse (p10) *SBIF10 (p25) *SBIF25 (p50) *SBIF50 (p75) *SBIF75 (p90) *SBIF90 [fw=${factor_op}] 
export excel using "$path_p\graphs\\Univariate${yk}_pstatsSBIF.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\Univariate${yk}_pstatsSBIF_vs2.xls", firstrow(variables) nolabel replace

//		3.0 - Summary file of percentiles of errors (with Rounding)
use "$path_s1\analysis${yk}.dta", clear  // Montos
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types2 { //g E_`x'_monto`pp' = error_`x'_monto if deuda_`x'_EFH==1 & deuda_`x'_SBIF==1
g E_ratio0R_`x'`pp' = 100*error_ratio0R_`x' if error_ratio0R_`x'>-2 & error_ratio0R_`x'<2  //make them in %
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] //g constant = 1 //reshape long stub, i(constant) j(Percentile)
export excel using "$path_p\graphs\\RatiosR${yk}_pstats.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\RatiosR${yk}_pstats_vs2.xls", firstrow(variables) nolabel replace
use "$path_s1\analysis${yk}.dta", clear  // Madurez
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types0 { 
g E_ratio0R_M_`x'`pp' = 100*error_ratio0R_M_`x'  if error_ratio0R_M_`x'>-2 & error_ratio0R_M_`x'<2 
g E_ratio0R_Mres_`x'`pp' = 100*error_ratio0R_Mres_`x'  if error_ratio0R_Mres_`x'>-2 & error_ratio0R_Mres_`x'<2 
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] 
export excel using "$path_p\graphs\\RatiosR${yk}_madurez_pstats.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\RatiosR${yk}_madurez_pstats_vs2.xls", firstrow(variables) nolabel replace
use "$path_s1\analysis${yk}.dta", clear // Cuotas
foreach pp of numlist 10 25 50 75 90 {
foreach x of local debt_types0 { 
g E_ratio0R_C_`x'`pp' = 100*error_ratio0R_C_`x' if error_ratio0R_C_`x'>-2 & error_ratio0R_C_`x'<2 
}
}
collapse (p10) E_*10 (p25) E_*25 (p50) E_*50 (p75) E_*75 (p90) E_*90 [fw=${factor_op}] 
export excel using "$path_p\graphs\\RatiosR${yk}_cuotas_pstats.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\RatiosR${yk}_cuotas_pstats_vs2.xls", firstrow(variables) nolabel replace

forv tS=0/1 {
forv tE=0/1 {
if `tS'!=0 | `tE'!=0 {
use "$path_s1\EFH_SBIF_wide_${yk}.dta", clear // Size of loans in each cell of EFH-SBIF debt or not
foreach x of local debt_types2 {
g D_`x'_SBIF_S`tS'E`tE'_M=ln(deuda_m_`x'_SBIF) if deuda_`x'_EFH==`tE' & deuda_`x'_SBIF==`tS' 
g D_`x'_EFH_S`tS'E`tE'_M=ln(deuda_m_`x'_EFH) if deuda_`x'_EFH==`tE' & deuda_`x'_SBIF==`tS' 
foreach pp of numlist 25 50 75 {
g D_`x'_SBIF_S`tS'E`tE'_P`pp'=ln(deuda_m_`x'_SBIF) if deuda_`x'_EFH==`tE' & deuda_`x'_SBIF==`tS' 
g D_`x'_EFH_S`tS'E`tE'_P`pp'=ln(deuda_m_`x'_EFH) if deuda_`x'_EFH==`tE' & deuda_`x'_SBIF==`tS' 
}
}
collapse (mean) D_*_M (p50) D_*_*P50 [fw=${factor_op}]  // (mean) D_*_M (p25) D_*_*P25 (p50) D_*_*P50 (p75) D_*_*P75
order *EFH*, first
export excel using "$path_p\graphs\\EFHSBIF${yk}_S`tS'E`tE'.xls", firstrow(variables) nolabel replace
xpose, clear varname
order _varname v1, first
export excel using "$path_p\graphs\\EFHSBIF${yk}_S`tS'E`tE'_vs2.xls", firstrow(variables) nolabel replace
}
}
}
use "$path_s1\EFH_SBIF_wide_${yk}.dta", clear 
