* Variables default de deuda
g df_vp=(e14==3) if a1==1 & e12==1
g df_vp_1=(e14==3 | e14==2) if a1==1 & e12==1
g df_hog=0   if a1==1
g df_hog_1=0 if a1==1
forv k=1/3{
replace df_hog=1 if a1==1  & (e14==3 | e42_`k'==3)
replace df_hog_1=1 if a1==1  & (e14==3 | e14==2 | e42_`k'==3 | e42_`k'==2)
}
g df_dna=.
forv k=1/6 {
replace df_dna=1 if (g9_`k'==1) & df_vp_1!=1 & a1==1 & cf_dna>0
replace df_dna=0 if (g9_`k'==2) & df_vp_1!=1 & a1==1 & cf_dna>0 & df_dna==.
}
replace df_dna=((g9_1==1 | g9_2==1 | g9_3==1 | g9_4==1 | g9_5==1 | g9_6==1) & a1==1 & df_vp_1!=1) if df_dna==0 | df_dna==.

//  Additional definition of Default (only valid for EFH 2010, 2011, 2014)
rename df_vp df_vp_original
rename df_dna df_dna_original
g EDF36=e14
g EDF37=e15
g EDF38=e16
replace EDF38=2 if e17<3
replace EDF38=2 if e17>=97 & e17<.
g e14_3 = (e12==1)
forv k2=1/3 {
g EDF73_`k2' = e42_`k2'
g EDF74_`k2' = e43_`k2' 
g EDF75_`k2' = e44_`k2' 
replace EDF75_`k2' = 2 if e45_`k2'<3
replace EDF75_`k2' = 2 if e45_`k2'>=97 & e45_`k2'<.
g e52_3_`k2' = (e40_`k2'==1)
}
// Default de Deuda
capture drop df_vp df_dna
g df_vp = (EDF36==3) if e14_3==1 & a1==1  //e14_3 or e11
replace df_vp = (EDF37>=3 & EDF37<.) if e14_3==1 & a1==1 & EDF36==2
replace df_vp = (EDF38==1) if e14_3==1 & a1==1 & df_vp==0
forv k=1/3{
replace df_vp = 0 if df_vp==. & e52_3_`k'==1 
replace df_vp=1 if a1==1  & e52_3_`k'==1 & EDF73_`k'==3
replace df_vp=1 if a1==1  & e52_3_`k'==1 & EDF73_`k'==2 & EDF74_`k'>=3 & EDF74_`k'<.
replace df_vp=1 if a1==1  & EDF75_`k'==1 
}
tab df_vp

forv k2=1/3 {  //   //   //   Adapt variable names for Consumo
g DF26_t4d`k2' = f35_t5d`k2'
g DF26_t5d`k2' = f35_t4d`k2'
g DF26_t6d`k2' = f35_t7d`k2'
g DF26_t7d`k2' = f35_t6d`k2'

g DF27_t4d`k2' = f36_t5d`k2' if f36_t5d`k2'<97
g DF27_t5d`k2' = f36_t4d`k2' if f36_t4d`k2'<97
g DF27_t6d`k2' = f36_t7d`k2' if f36_t7d`k2'<97
g DF27_t7d`k2' = f36_t6d`k2' if f36_t6d`k2'<97

g DF28_t4d`k2' = f37_t5d`k2'
g DF28_t5d`k2' = f37_t4d`k2'
g DF28_t6d`k2' = f37_t7d`k2'
g DF28_t7d`k2' = f37_t6d`k2'
replace DF28_t4d`k2' = 1 if f38_t5d`k2'==1
replace DF28_t5d`k2' = 1 if f38_t4d`k2'==1
replace DF28_t6d`k2' = 1 if f38_t7d`k2'==1
replace DF28_t7d`k2' = 1 if f38_t6d`k2'==1
g DF29_t4d`k2' = f39_t5d`k2' if f39_t5d`k2'<97
g DF29_t5d`k2' = f39_t4d`k2' if f39_t4d`k2'<97
g DF29_t6d`k2' = f39_t7d`k2' if f39_t7d`k2'<97
g DF29_t7d`k2' = f39_t6d`k2' if f39_t6d`k2'<97
g F40_t8d`k2' = f27_t8d`k2' if f28_t8d`k2'>=1 & f28_t8d`k2'<97 
replace F40_t8d`k2' = f23_t8d`k2' if F40_t8d`k2'==.  //Only for EFH 2011
}
g df_dna=.
quietly {
forv k2=1/3 {
forv k=4/7 {
replace df_dna=0 if DF26_t`k'd`k2'!=. & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna==.
replace df_dna=1 if DF26_t`k'd`k2'==3 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if DF26_t`k'd`k2'==2 & DF27_t`k'd`k2'>=3 & DF27_t`k'd`k2'<97 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if DF26_t`k'd`k2'==3 & DF27_t`k'd`k2'>=3 & DF27_t`k'd`k2'<97 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if DF26_t`k'd`k2'==2 & DF27_t`k'd`k2'>=1 & DF27_t`k'd`k2'<97 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if DF26_t`k'd`k2'==1 & DF28_t`k'd`k2'==1 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
}
replace df_dna=1 if F40_t8d`k2'==4 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
}
}
replace df_dna=((g9_1==1 | g9_2==1 | g9_3==1 | g9_4==1 | g9_5==1 | g9_6==1) & a1==1 & df_vp!=1) if (df_dna==0 | df_dna==.) & df_vp!=1 & a1==1 & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<.
//replace df_dna=((g7_1==1 | g7_2==1 | g7_3==1 | g7_4==1 | g7_5==1) & ord==1 & df_vp!=1) if (df_dna==0 | df_dna==.) & df_vp!=1 & a1==1 & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<.
replace df_dna=. if cf_dna==0 | cf_dna==.
replace df_dna=. if d_dna==0 | d_dna==.
replace df_dna=. if a1!=1
replace df_vp=. if a1!=1
tab df_dna
tab df_dna df_vp
tab df_vp df_vp_original
tab df_dna df_dna_original
rename df_vp df_vp_new
rename df_dna df_dna_new
rename df_vp_original df_vp 
rename df_dna_original df_dna 
//   //    //    //   //   //   //   //   //    //    //    //   //     //

replace df_dna=. if cf_dna==0 | cf_dna==. 
*replace df_dna=. if d_dna==0 | d_dna==.
replace df_dna=. if a1!=1
*replace df_vp=. if a1!=1

g cf_td1 = cf_1
g cf_td3 = cf_3
g cf_td4 = cf_5
g cf_td5 = cf_4
g cf_td6 = cf_7
g cf_td7 = cf_6
g cf_td8 = cf_8
replace cf_td7 = max(cfdauto,cf_td7)
replace cf_td6 = max(cfdsocial,cf_td6) 
replace cf_td8 = max(cfdeduc,cf_td8) 
//
g d_td1 = d_1
g d_td3 = d_3
g d_td4 = d_5
g d_td5 = d_4
g d_td6 = d_7
g d_td7 = d_6
g d_td8 = d_8
replace d_td7 = max(dauto,d_td7)
replace d_td6 = max(dsocial,d_td6) 
replace d_td8 = max(deduc,d_td8) 
