*use "N:\DPF\GIF\Encuestas\EFH\Bases_de_datos\finales\EFH_17_allvars.dta" ,clear
*drop a1
*g a1  =1
/*
* From 2014 to 2017
e36---->e29
e14---->e9
e73---->e70
g7 ---->g5
e37---->e30
e38---->e31
e74---->e71
e75---->e72
f26--->f25
f27--->f26
f28--->f27
f40--->f37
*/
// Variables default de deuda: Pedro Roje  //
g df_vp=(e29==3) if ord==1 & e9_3==1 // Versión anterior //e36 (2014) e14_3
g df_vp_1=(e29==3 | e29==2) if ord==1 & e9_3==1
g df_hog=0   if ord==1
g df_hog_1=0 if ord==1
forv k=1/3{
replace df_hog=1 if ord==1  & (e29==3 | e70_`k'==3)  //e36 e73
replace df_hog_1=1 if ord==1  & (e29==3 | e29==2 | e70_`k'==3 | e70_`k'==2)
}
g df_dna=.
forv k=1/5 {  // g7
replace df_dna=1 if (g5_`k'==1) & df_vp_1!=1 & ord==1 & cf_dna>0 // g7_
replace df_dna=0 if (g5_`k'==2) & df_vp_1!=1 & ord==1 & cf_dna>0 & df_dna==.
}   
replace df_dna=((g5_1==1 | g5_2==1 | g5_3==1 | g5_4==1 | g5_5==1 | g5_7==1 | g5_8==1) & ord==1 & df_vp_1!=1) if df_dna==0 | df_dna==.
replace df_dna=. if cf_dna==0 | cf_dna==.
replace df_dna=. if ord!=1

//  Additional definition of Default (only valid for EFH 2010, 2011, 2014)
rename df_vp df_vp_original
rename df_dna df_dna_original
// Default de Deuda
capture drop df_vp df_dna
g df_vp = (e29==3) if e9_3==1 & a1==1
replace df_vp = (e30>=3 & e30<.) if e9_3==1 & a1==1 & e29==2
replace df_vp = (e31==1) if e9_3==1 & a1==1 & df_vp==0
forv k=1/3 {
replace df_vp = 0 if df_vp==. & e52_3_`k'==1 
replace df_vp=1 if a1==1  & e52_3_`k'==1 & e70_`k'==3
replace df_vp=1 if a1==1  & e52_3_`k'==1 & e70_`k'==2 & e71_`k'>=3 & e71_`k'<.
replace df_vp=1 if a1==1  & e72_`k'==1 
}
tab df_vp
//   //   //
g df_dna=.
quietly {
forv k2=1/3 {
forv k=4/7 {
replace df_dna=0 if f25_t`k'd`k2'!=. & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna==. //2014: f26 f27 f28
replace df_dna=1 if f25_t`k'd`k2'==3 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if f25_t`k'd`k2'==2 & f26_t`k'd`k2'>=3 & f26_t`k'd`k2'<97 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if f25_t`k'd`k2'==3 & f26_t`k'd`k2'>=3 & f26_t`k'd`k2'<97 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if f25_t`k'd`k2'==2 & f26_t`k'd`k2'>=1 & f26_t`k'd`k2'<97 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
replace df_dna=1 if f25_t`k'd`k2'==1 & f27_t`k'd`k2'==1 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
}
replace df_dna=1 if f37_t8d`k2'==4 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<. //f40
}
} // g7
replace df_dna=((g5_1==1 | g5_2==1 | g5_3==1 | g5_4==1 | g5_5==1 | g5_7==1 | g5_8==1)  & ord==1 & df_vp!=1) if (df_dna==0 | df_dna==.) & df_vp!=1 & a1==1 & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<.
replace df_dna=. if cf_dna==0 | cf_dna==.
replace df_dna=. if d_dna==0 | d_dna==.
replace df_dna=. if a1!=1
replace df_vp=. if a1!=1
tab df_dna
tab df_dna df_vp
tab df_vp df_vp_original
tab df_dna df_dna_original
rename df_vp df_vp_new
rename df_dna df_dna_new
rename df_vp_original df_vp 
rename df_dna_original df_dna 
//   //    //    //   //   //   //   //   //    //    //    //   //     //
quietly {
forv k2=1/3 {  //foreach num of numlist 73 74 75 {  g EDF`num'_`k2'=e`num'_`k2' }
forv k=4/7 {
g DF26_t`k'd`k2' = f25_t`k'd`k2' 
g DF27_t`k'd`k2' = f26_t`k'd`k2' 
replace DF27_t`k'd`k2' = . if DF27_t`k'd`k2'<0
replace DF27_t`k'd`k2' = . if DF27_t`k'd`k2'>=97
}  //replace df_dna=1 if f37_t8d`k2'==4 & df_vp!=1 & a1==1 & cf_dna>0 & cf_dna<. & df_dna<.
} //foreach num of numlist 36 37 38 { rename e`num' EDF`num' }
foreach num of numlist 29 30 31 { //36 37 38
local num2=`num'+7
rename e`num' EDF`num2'
}
}
//
