version 14.2

clear all
cls
set more off

* Rutas de trabajo

global path "C:\Users\felma.000\Dropbox\Cruce\Paper descriptivo\Stata"
global pathdat "$path\dta"
global efh "$path\efh_dta"

* Se utiliza base de regresiones para identificar datos con match

use "$pathdat\analysis11_14_17_vfix_long.dta"

keep if yearEFH==2017
keep if reporut_2017==1

keep folio ord yearEFH
collapse yearEFH, by(folio ord)

* Se agregan datos de allvars_2017
joinby folio ord using "$efh\EFH_17_allvars.dta", unm(b)

keep if _merge==3

* Se analiza proporción de entrevistados que son titulares (totales o parciales)
* de la deuda hipotecaria

tab e14_1 if e21==1
tab e14_2 if e21==1

tab a2 e14_2 if e21==1

